#### END OF PLACEHOLDERS


image black = Solid("#000")
image white = Solid("#FFF")

### Act 1

# ELIJAH

layeredimage elijah classtime explaining:
  always:
    pos (84, 25)
    "elijah_classtime_explaining.webp"

  group mouth:
    attribute _talk default:
      Null()
    attribute talk:
      pos (338, 192)
      "elijah_classtime_explaining_mouth.webp"

  group accessories:
    attribute _glasses default:
      Null()
    attribute glasses:
      pos (285, 122)
      "elijah_classtime_glasses.webp"
      
      
layeredimage elijah classtime neutral:
  always:
    pos (84, 25)
    "elijah_classtime_neutral.webp"
      
  group mouth:
    attribute _talk default:
      Null()
    attribute talk:
      pos (338, 192)
      "elijah_classtime_neutral_mouth.webp"

  group accessories:
    attribute _glasses default:
      Null()
    attribute glasses:
      pos (285, 122)
      "elijah_classtime_glasses.webp"
      
### END of Elijah

### ISSAC

# confronting liam
layeredimage issac classroom:
  xanchor 0.7
  group pose:
    attribute angry:
      pos (503, 35)
      "issac_class_angry.webp"
    attribute pointing:
      pos (29, 35)
      "issac_class_angry_pointing.webp"
    
  always:
    pos (760, 122)
    "issac_class_angry_pointing_face.webp"
    
  group mouth:
    attribute _talk default:
      Null()
    attribute talk:
      pos (790, 211)
      "issac_class_angry_pointing_mouth.webp"


# after leave option
layeredimage issac classroom confused:
  xanchor 0.7
  always:
    pos (505, 35)
    "issac_class_confused.webp"

# during roberts class
layeredimage issac classtime:
  #xanchor 1
  always: # adjust this
    pos (434-420, 28) 
    "issac_class_frowning.webp"
  
  group mouth:
    attribute _talk default:
      Null()
    attribute talk:
      pos (684-420, 179)
      "issac_class_frowning_mouth.webp"
      
# after being punched in classroom and talking to robert
layeredimage issac punched:
  xanchor 0.75
  
  group pose: # default punched pose
    attribute inital default:
      pos (568, 35)
      "issac_class_punched.webp"
    attribute pointing:
      pos (529, 35)
      "issac_class_pointing.webp"
    attribute desperate:
      pos (539, 35)
      "issac_class_desprate.webp"
    
  group accessories:
    attribute _nosebleed default:
      Null()
    attribute nosebleed:
      pos (796, 258)
      "issac_class_punched_nosebleed.webp"

# issac confronted by penelope in office
layeredimage issac office:
  xanchor 0.8
  xalign 0.4
  
  group pose:
    attribute right default:
      pos (480, 35)
      "issac_office_base.webp"
    attribute center:
      pos (480, 34)
      "issac_office_center.webp"
  
  group overlay: # facial expressions and nosebleed state
    attribute enter default: # entering the office
      pos (744, 130)
      "issac_office_enter.webp"
    attribute more: # nosebleed gets worse, face more nervous
      pos (744, 126)
      "issac_office_more.webp"
    attribute very: # nosebleed is really bad, very nervous
      pos (744, 126)
      "issac_office_very.webp"
    attribute center:
      pos (480, 34)
      "issac_office_center.webp"

# mopping inital stance
layeredimage issac mopping furious:
  xanchor 0.7
  always:
    pos (505, 35)
    "issac_mopping_furious.webp"
    
  group mouth:
    attribute _talk default:
      Null()
    attribute talk:
      pos (784, 209)
      "issac_mopping_furious_mouth.webp"
      
# mopping weapon stance
layeredimage issac mopping weapon:
  xanchor 0.7
  always:
    pos (421, 35)
    "issac_mopping_weapon.webp"
    
  group mouth:
    attribute _talk default:
      Null()
    attribute talk:
      pos (784, 209)
      "issac_mopping_weapon_mouth.webp"
      
# mopping weapon stance
layeredimage issac mopping casual:
  xanchor 0.7
  always:
    pos (505, 35)
    "issac_mopping_casual_base.webp"
    
  always:
    pos (760, 122)
    "issac_mopping_casual.webp"
    
  group mouth:
    attribute _talk default:
      Null()
    attribute talk:
      pos (784, 209)
      "issac_mopping_casual_mouth.webp"

# mopping slightly miffed
layeredimage issac mopping slightly:
  xanchor 0.7
  always:
    pos (505, 35)
    "issac_mopping_casual_base.webp"
    
  always:
    pos (760, 122)
    "issac_mopping_slightly.webp"
    
  group mouth:
    attribute _talk default:
      Null()
    attribute talk:
      pos (786, 207)
      "issac_mopping_slightly_mouth.webp"
      
# mopping annoyed
layeredimage issac mopping annoyed:
  xanchor 0.7
  always:
    pos (505, 35)
    "issac_mopping_casual_base.webp"
    
  always:
    pos (760, 122)
    "issac_mopping_annoyed.webp"
    
  group mouth:
    attribute _talk default:
      Null()
    attribute talk:
      pos (786, 210)
      "issac_mopping_annoyed_mouth.webp"
      
# mopping actually miffed
layeredimage issac mopping miffed:
  xanchor 0.7
  always:
    pos (505, 35)
    "issac_mopping_casual_base.webp"
    
  always:
    pos (760, 122)
    "issac_mopping_miffed.webp"
    
  group mouth:
    attribute _talk default:
      Null()
    attribute talk:
      pos (783, 210)
      "issac_mopping_miffed_mouth.webp"
      
### END of Issac


### ROBERT

# after issac punched
layeredimage robert angry:
  always:
    pos (129 - 175, 39)
    "robert_angry_base.webp"
    
  group eyes:
    attribute inital default:
      pos (309 - 175, 50)
      "robert_angry_eyes.webp"
    attribute rolling:
      pos (362 - 175, 177)
      "robert_angry_rolling.webp"
    attribute glaring:
      pos (362 - 175, 177)
      "robert_angry_glare.webp"
    
  group mouth:
    attribute _talk default:
      Null()
    attribute talk:
      pos (401 - 175, 260)
      "robert_angry_mouth.webp"

# after issac punched
layeredimage robert pinching:
  always:
    pos (129 - 175, 39)
    "robert_pinching.webp"
  
  group mouth:
    attribute talk:
      Null()

# in classroom
layeredimage robert neutral:
  xalign 0.43
  always:
    pos (129, 42)
    "robert_base.webp"
    
  always:
    pos (129, 52)
    "robert_normal_face.webp"
    
  group eyes:
    attribute center default:
      pos (376, 186)
      "robert_normal_center.webp"
    attribute left:
      pos (370, 186)
      "robert_normal_left.webp"
    attribute right:
      pos (384, 186)
      "robert_normal_right.webp"
      
  group finger:
    attribute raised default:
      pos (500, 421)
      "robert_finger_raised.webp"
    attribute drooped:
      pos (499, 440)
      "robert_finger_droop.webp"
      
  group mouth:
    attribute _talk default:
      Null()
    attribute talk:
      pos (398, 262)
      "robert_normal_mouth.webp"
      
layeredimage robert:
  xalign 0.43
  always:
    pos (129, 42)
    "robert_base.webp"
    
  always:
    pos (129, 52)
    "robert_expressions_base.webp"
    
  group face:
    attribute unimpressed:
      pos (359, 150)
      "robert_unimpressed.webp"
    attribute weirded:
      pos (359, 150)
      "robert_weirded.webp"
    attribute annoyed:
      pos (362, 172)
      "robert_annoyed.webp"
    
  group eyes:
    attribute center default:
      pos (375, 188)
      "robert_center.webp"
    attribute left:
      pos (370, 188)
      "robert_left.webp"
    attribute right:
      pos (382, 188)
      "robert_right.webp"
    
  group eye_twitch:
    attribute _twitching default:
      Null()
    attribute twitching:
      pos (445, 193)
      "robert_twitching.webp"
  
  group mouth:
    attribute _talk default:
      Null()
    attribute talk:
      pos (399, 265)
      "robert_mouth.webp"
    
  group finger:
    attribute raised default:
      pos (500, 421)
      "robert_finger_raised.webp"
    attribute drooped:
      pos (499, 440)
      "robert_finger_droop.webp"
      

### END of Robert


### TATSUKI

layeredimage tatsuki: # Frowning and Squinting
  always:
    Composite((864, 1017),
        (157, 77), "tatsuki_base.webp",
        (271, 70), "tatsuki_squint_frown_base.webp")
  
  group face: # the word 'expression' is reserved!!!! 
    attribute squinting:
      pos (324, 174)
      "tatsuki_squint.webp"
    attribute frowning:
      pos (324, 174)
      "tatsuki_frown.webp"
    
  group mouth:
    attribute _talk default:
      Null(864, 1017)
    attribute talk:
      pos (359, 290)
      "tatsuki_squint_frown_mouth.webp"
          

layeredimage tatsuki stern:
  always:
    Composite((864, 1017),
        (157, 77), "tatsuki_base.webp",
        (298, 174), "tatsuki_stern_base.webp")
      
  group mouth:
    attribute _talk default:
      pos (367, 290)
      "tatsuki_stern_closed.webp"
    attribute talk:
      pos (354, 290)
      "tatsuki_stern_mouth.webp"
      

layeredimage tatsuki holding:
  always:
    Composite((864, 1017),
        (157, 77), "tatsuki_base.webp",
        (309, 174), "tatsuki_holding_base.webp")
      
  group mouth:
    attribute _talk default:
      pos (354, 290)
      "tatsuki_holding_closed.webp"
    attribute talk:
      pos (354, 290)
      "tatsuki_holding_mouth.webp"

### END of Tatsuki

### MS PENELOPE

# Frowning left
layeredimage penelope frowning:
  always:
    pos (0, 6)
    "penelope_frowning.webp"
    
  group mouth:
    attribute _talk default:
      Null()
    attribute talk:
      pos (332, 188)
      "penelope_frowning_mouth.webp"

# sarcastic left
layeredimage penelope sarcastic:
  always:
    pos (0, 6)
    "penelope_sarcastic.webp"
    
  group mouth:
    attribute _talk default:
      Null()
    attribute talk:
      pos (308, 131)
      "penelope_sarcastic_mouth.webp"

# scary smile left default
layeredimage penelope scary:
  always:
    pos (155, 0)
    "penelope_scary.webp"
    
  # just in case I want to use the keyword 'left' to access this image
  group catch:
    attribute left default:
      Null()
  
  group mouth:
    attribute _talk default:
      Null()
    attribute talk:
      pos (333, 191)
      "penelope_scary_mouth.webp"

# scary smile looking center
layeredimage penelope scary center:
  always:
    pos (108, 6)
    "penelope_scary_center.webp"
    
  group mouth:
    attribute _talk default:
      Null()
    attribute talk:
      pos (378, 189)
      "penelope_scary_center_mouth.webp"

# neutral expression looking left
layeredimage penelope neutral:
  always:
    pos (0, 6)
    "penelope_neutral.webp"
  
  # just in case I want to use the keyword 'left' to access this image
  group catch:
    attribute left default:
      Null()
  
  group mouth:
    attribute _talk default:
      Null()
    attribute talk:
      pos (334, 186)
      "penelope_neutral_mouth.webp"
      
layeredimage penelope neutral center:
  always:
    pos (0, 6)
    "penelope_neutral_center.webp"
    
  group mouth:
    attribute _talk default:
      Null()
    attribute talk:
      pos (375, 181)
      "penelope_neutral_center_mouth.webp"

# looking at Issac's nosebleed
layeredimage penelope concerned:
  always:
    pos (0, 6)
    "penelope_concerned.webp"
  
  group mouth:
    attribute _talk default:
      Null()
    attribute talk:
      pos (337, 112)
      "penelope_concerned_mouth.webp"

# glaring at liam 
layeredimage penelope glare:
  always:
    pos (0, 6)
    "penelope_glare.webp"
    
  group mouth:
    attribute _talk default:
      Null()
    attribute talk:
      pos (367, 187)
      "penelope_glare_mouth.webp"


### END of Penelope

### Tim Act 1

## Tim's flame

transform tim_afterschool_base_flame:
  # 24fps x0.4 // base animation
  "tim_afterschool_flame_0.webp"
  pause 0.104
  "tim_afterschool_flame_1.webp"
  pause 0.104
  "tim_afterschool_flame_2.webp"
  pause 0.104
  "tim_afterschool_flame_3.webp"
  pause 0.104
  "tim_afterschool_flame_4.webp"
  pause 0.104
  "tim_afterschool_flame_5.webp"
  pause 0.104
  "tim_afterschool_flame_6.webp"
  pause 0.104
  "tim_afterschool_flame_7.webp"
  pause 0.104
  "tim_afterschool_flame_8.webp"
  pause 0.104
  "tim_afterschool_flame_9.webp"
  pause 0.104
  
  choice:
    pause 0
  choice:
    # 24fps x0.65 // optional variant at higher speed
    "tim_afterschool_flame_10.webp"
    pause 0.064
    "tim_afterschool_flame_11.webp"
    pause 0.064
    "tim_afterschool_flame_12.webp"
    pause 0.064
    "tim_afterschool_flame_13.webp"
    pause 0.064
    "tim_afterschool_flame_14.webp"
    pause 0.064
    "tim_afterschool_flame_15.webp"
    pause 0.064
    "tim_afterschool_flame_16.webp"
    pause 0.064
    "tim_afterschool_flame_17.webp"
    pause 0.064
    "tim_afterschool_flame_18.webp"
    pause 0.064
    "tim_afterschool_flame_19.webp"
    pause 0.064
    "tim_afterschool_flame_20.webp"
    pause 0.064
    "tim_afterschool_flame_21.webp"
    pause 0.064
    "tim_afterschool_flame_22.webp"
    pause 0.064
    "tim_afterschool_flame_23.webp"
    pause 0.064
    "tim_afterschool_flame_24.webp"
    pause 0.064
  
  repeat
    

## End of Tim's flame

## staring directly at liam
layeredimage tim afterschool direct:
  xalign 0.45
  always:
    pos (136, 31)
    "tim_afterschool_base.webp"
  
  always:
    pos (384, 17)
    tim_afterschool_base_flame # animation
  
  # facial expression
  always:
    pos (364, 259)
    "tim_afterschool_direct.webp"
    
    
transform tim_afterschool_annoyed_blink:
  "tim_afterschool_annoyed_0.webp"
  choice:
    pause 4
  choice:
    pause 5
  choice:
    pause 6
  # 24fps x 1.0 //blink
  "tim_afterschool_annoyed_1.webp"
  pause 0.064
  "tim_afterschool_annoyed_2.webp"
  pause 0.064 * 2
  "tim_afterschool_annoyed_3.webp"
  pause 0.064
  repeat


## talking to liam annoyed
layeredimage tim afterschool annoyed:
  xalign 0.45
  always:
    pos (136, 31)
    "tim_afterschool_base.webp"
  
  always:
    pos (384, 17)
    tim_afterschool_base_flame # animation
  
  # facial expression
  always:
    pos (365, 262)
    tim_afterschool_annoyed_blink
  
  group mouth:
    attribute _talk default:
      Null()
    attribute talk:
      pos (387, 327)
      "tim_afterschool_annoyed_mouth.webp"


## Red face blinking eyes
transform tim_afterschool_red_blink:
  "tim_afterschool_red_0.webp"
  choice:
    pause 3
  choice:
    pause 4
  choice:
    pause 5
  # 24fps x0.65 // 
  "tim_afterschool_red_1.webp"
  pause 0.064 *2
  "tim_afterschool_red_2.webp"
  pause 0.064

## Red angry face
layeredimage tim afterschool red:
  xalign 0.45
  always:
    pos (136, 31)
    "tim_afterschool_base.webp"
  
  always:
    pos (384, 17)
    tim_afterschool_base_flame # animation
  
  # facial expression
  group face:
    attribute _talk default:
      pos (364, 261)
      tim_afterschool_red_blink
    attribute talk:
      pos (364, 261)
      "tim_afterschool_red_0.webp"
  
  group mouth:
    attribute _talk default:
      Null()
    attribute talk:
      pos (380, 268)
      "tim_afterschool_red_mouth.webp"


## Tim comes closer
layeredimage tim afterschool close:
  xalign 0.44
  yalign 0.32
  always:
    zoom 1.3
    pos (136, 31)
    "tim_afterschool_base.webp"
  
  always:
    zoom 1.3
    pos (384 + 74, 17 - 5)
    tim_afterschool_base_flame # animation
  
  # facial expression
  always:
    zoom 1.3
    pos (365 + 68, 259 + 70)
    "tim_afterschool_close.webp"


## Very close
layeredimage tim afterschool closer:
  xalign 0.38
  yalign 0.24
  always:
    zoom 2
    pos (136, 31)
    "tim_afterschool_base.webp"

  always:
    zoom 1.52
    pos (428 + 85, 292 + 123)
    "tim_afterschool_closer.webp"
    
  group mouth:
    attribute _talk default:
      Null()
    attribute talk:
      zoom 1.52
      pos (506 + 125,434 + 195)
      "tim_afterschool_closer_glowing_mouth.webp"


## Glowing eyes very close
transform tim_afterschool_glowing_eyes:
  "tim_afterschool_glowing_0"
  pause 0.167
  # 24fps x0.25 // eye glowing animation
  "tim_afterschool_glowing_1.webp"
  pause 0.167
  "tim_afterschool_glowing_2.webp"
  pause 0.167
  "tim_afterschool_glowing_3.webp"
  pause 0.167
  "tim_afterschool_glowing_4.webp"
  pause 0.167
  "tim_afterschool_glowing_5.webp"
  pause 0.167
  "tim_afterschool_glowing_6.webp"
  pause 0.167
  "tim_afterschool_glowing_7.webp"
  pause 0.167
  "tim_afterschool_glowing_8.webp"
  pause 0.167
  "tim_afterschool_glowing_9.webp"
  pause 0.167
  "tim_afterschool_glowing_10.webp"
  pause 0.167
  
  repeat
  

## Eyes start to glow
layeredimage tim afterschool glowing:
  xalign 0.38
  yalign 0.24
  always:
    zoom 2
    pos (136, 31)
    "tim_afterschool_base.webp"
    
  # facial expression and animation
  always:
    zoom 1.52
    pos (428 + 85, 292 + 123)
    tim_afterschool_glowing_eyes
    
  group mouth:
    attribute _talk default:
      Null()
    attribute talk:
      zoom 1.52
      pos (506 + 125,434 + 195)
      "tim_afterschool_closer_glowing_mouth.webp"


## Smirking slightly with glowing eyes

layeredimage tim afterschool smirk:
  xalign 0.38
  yalign 0.24
  always:
    zoom 2
    pos (136, 31)
    "tim_afterschool_base.webp"
    
  # glowing eyes base
  always:
    zoom 1.52
    pos (428 + 85, 292 + 123)
    tim_afterschool_glowing_eyes
    
  # facial expression overlay
  always:
    zoom 1.52
    pos (428 + 85, 292 + 123)
    "tim_afterschool_smirking.webp"
    
  group mouth:
    attribute _talk default:
      Null()
    attribute talk:
      zoom 1.52
      pos (506 + 125,434 + 195)
      "tim_afterschool_smirking_mouth.webp"
      

transform tim_afterschool_evil_glow:
  # 24fps x0.5 // eyes and orb glowing animation
  "tim_afterschool_evil_glow_0.webp"
  pause 0.083
  "tim_afterschool_evil_glow_1.webp"
  pause 0.083
  "tim_afterschool_evil_glow_2.webp"
  pause 0.083
  "tim_afterschool_evil_glow_3.webp"
  pause 0.083
  "tim_afterschool_evil_glow_4.webp"
  pause 0.083
  "tim_afterschool_evil_glow_5.webp"
  pause 0.083
  "tim_afterschool_evil_glow_6.webp"
  pause 0.083 *2
  "tim_afterschool_evil_glow_7.webp"
  pause 0.083 *2
  "tim_afterschool_evil_glow_8.webp"
  pause 0.083 *2
  "tim_afterschool_evil_glow_9.webp"
  pause 0.083 *2
  "tim_afterschool_evil_glow_10.webp"
  pause 0.083 *2
  "tim_afterschool_evil_glow_11.webp"
  pause 0.083 *2
  "tim_afterschool_evil_glow_12.webp"
  pause 0.083 *2
  "tim_afterschool_evil_glow_13.webp"
  pause 0.083 *2
  "tim_afterschool_evil_glow_14.webp"
  pause 0.083 *2
  "tim_afterschool_evil_glow_15.webp"
  pause 0.083 *2
  "tim_afterschool_evil_glow_16.webp"
  pause 0.083
  "tim_afterschool_evil_glow_17.webp"
  pause 0.083
  "tim_afterschool_evil_glow_18.webp"
  pause 0.083
  "tim_afterschool_evil_glow_19.webp"
  pause 0.083
  "tim_afterschool_evil_glow_20.webp"
  pause 0.083
  Null()
  pause 1
  repeat
      
## Smiling evily

layeredimage tim afterschool evily:
  xalign 0.38
  yalign 0.24
  always:
    zoom 2
    pos (136, 31)
    "tim_afterschool_base.webp"
    
  # facial expression
  always:
    zoom 1.52
    pos (428 + 85, 292 + 123)
    "tim_afterschool_evil_base.webp"

  # glowing animation
  always:
    zoom 1.52
    pos (228 - 19, 289 + 123)
    tim_afterschool_evil_glow
    
  group mouth:
    attribute _talk default:
      Null()
    attribute talk:
      zoom 1.52
      pos (485 + 117,413 + 195)
      "tim_afterschool_evil_orb_eye_mouth.webp"
      

# Used in both sparking animations
transform tim_afterschool_full_glowing:
  # 24fps x0.6 // continuous glowing
  "tim_afterschool_full_glow_0.webp"
  pause 0.069 *2
  "tim_afterschool_full_glow_1.webp"
  pause 0.069 *2
  "tim_afterschool_full_glow_2.webp"
  pause 0.069 *2
  "tim_afterschool_full_glow_3.webp"
  pause 0.069 *2
  "tim_afterschool_full_glow_4.webp"
  pause 0.069 *2
  "tim_afterschool_full_glow_5.webp"
  pause 0.069 *2
  "tim_afterschool_full_glow_6.webp"
  pause 0.069 *2
  "tim_afterschool_full_glow_7.webp"
  pause 0.069 *2
  repeat
  
transform tim_afterschool_eyes_spark_1:
  # 24fps x1.5 // 
  "tim_afterschool_eyes_1_0.webp"
  pause 0.028
  "tim_afterschool_eyes_1_1.webp"
  pause 0.028
  "tim_afterschool_eyes_1_2.webp"
  pause 0.028
  "tim_afterschool_eyes_1_3.webp"
  pause 0.028
  "tim_afterschool_eyes_1_4.webp"
  pause 0.028
  "tim_afterschool_eyes_1_5.webp"
  pause 0.028
  "tim_afterschool_eyes_1_6.webp"
  pause 0.028
  "tim_afterschool_eyes_1_7.webp"
  pause 0.028
  "tim_afterschool_eyes_1_8.webp"
  pause 0.028
  "tim_afterschool_eyes_1_9.webp"
  pause 0.028
  "tim_afterschool_eyes_1_10.webp"
  pause 0.028
  "tim_afterschool_eyes_1_11.webp"
  pause 0.028
  "tim_afterschool_eyes_1_12.webp"
  pause 0.028
  Null()
  choice:
    pause 0.25
  choice:
    pause 0.65
  choice:
    pause 0.95
  repeat
  
transform tim_afterschool_eyes_spark_2:
  choice:
    pause 0.5
  choice:
    pause 0.75
  choice:
    pause 1
  # 24fps x1.5 // 
  "tim_afterschool_eyes_2_0.webp"
  pause 0.028
  "tim_afterschool_eyes_2_1.webp"
  pause 0.028
  "tim_afterschool_eyes_2_2.webp"
  pause 0.028
  "tim_afterschool_eyes_2_3.webp"
  pause 0.028
  "tim_afterschool_eyes_2_4.webp"
  pause 0.028
  "tim_afterschool_eyes_2_5.webp"
  pause 0.028
  "tim_afterschool_eyes_2_6.webp"
  pause 0.028
  "tim_afterschool_eyes_2_7.webp"
  pause 0.028
  "tim_afterschool_eyes_2_8.webp"
  pause 0.028
  "tim_afterschool_eyes_2_9.webp"
  pause 0.028
  Null()
  repeat

transform tim_afterschool_eyes_spark_3:
  choice:
    pause 0.5
  choice:
    pause 1
  choice:
    pause 1.5
  # 24fps x1.5 // 
  "tim_afterschool_eyes_3_0.webp"
  pause 0.028
  "tim_afterschool_eyes_3_1.webp"
  pause 0.028
  "tim_afterschool_eyes_3_2.webp"
  pause 0.028
  "tim_afterschool_eyes_3_3.webp"
  pause 0.028
  "tim_afterschool_eyes_3_4.webp"
  pause 0.028
  "tim_afterschool_eyes_3_5.webp"
  pause 0.028
  "tim_afterschool_eyes_3_6.webp"
  pause 0.028
  "tim_afterschool_eyes_3_7.webp"
  pause 0.028
  "tim_afterschool_eyes_3_8.webp"
  pause 0.028
  "tim_afterschool_eyes_3_9.webp"
  pause 0.028
  Null()
  repeat

transform tim_afterschool_eyes_spark_4:
  choice:
    pause 0.33
  choice:
    pause 0.66
  choice:
    pause 0.88
  # 24fps x1.5 // 
  "tim_afterschool_eyes_4_0.webp"
  pause 0.028
  "tim_afterschool_eyes_4_1.webp"
  pause 0.028
  "tim_afterschool_eyes_4_2.webp"
  pause 0.028
  "tim_afterschool_eyes_4_3.webp"
  pause 0.028
  "tim_afterschool_eyes_4_4.webp"
  pause 0.028
  "tim_afterschool_eyes_4_5.webp"
  pause 0.028
  "tim_afterschool_eyes_4_6.webp"
  pause 0.028
  "tim_afterschool_eyes_4_7.webp"
  pause 0.028
  Null()
  repeat
  
transform tim_afterschool_orb_spark_1:
  choice:
    pause 0.22
  choice:
    pause 0.44
  choice:
    pause 0.66
  # 24fps x1.5 // 
  "tim_afterschool_orb_1_0.webp"
  pause 0.028
  "tim_afterschool_orb_1_1.webp"
  pause 0.028
  "tim_afterschool_orb_1_2.webp"
  pause 0.028
  "tim_afterschool_orb_1_3.webp"
  pause 0.028
  "tim_afterschool_orb_1_4.webp"
  pause 0.028
  "tim_afterschool_orb_1_5.webp"
  pause 0.028
  "tim_afterschool_orb_1_6.webp"
  pause 0.028
  "tim_afterschool_orb_1_7.webp"
  pause 0.028
  "tim_afterschool_orb_1_8.webp"
  pause 0.028
  "tim_afterschool_orb_1_9.webp"
  pause 0.028
  "tim_afterschool_orb_1_10.webp"
  pause 0.028
  Null()
  repeat
  
transform tim_afterschool_orb_spark_2:
  choice:
    pause 0.44
  choice:
    pause 0.88
  choice:
    pause 1.47
  # 24fps x1.5 // 
  "tim_afterschool_orb_2_0.webp"
  pause 0.028
  "tim_afterschool_orb_2_1.webp"
  pause 0.028
  "tim_afterschool_orb_2_2.webp"
  pause 0.028
  "tim_afterschool_orb_2_3.webp"
  pause 0.028
  "tim_afterschool_orb_2_4.webp"
  pause 0.028
  "tim_afterschool_orb_2_5.webp"
  pause 0.028
  "tim_afterschool_orb_2_6.webp"
  pause 0.028
  "tim_afterschool_orb_2_7.webp"
  pause 0.028
  "tim_afterschool_orb_2_8.webp"
  pause 0.028
  "tim_afterschool_orb_2_9.webp"
  pause 0.028
  "tim_afterschool_orb_2_10.webp"
  pause 0.028
  Null()
  repeat
  
transform tim_afterschool_orb_spark_3:
  choice:
    pause 0.58
  choice:
    pause 0.67
  choice:
    pause 0.83
  # 24fps x1.5 // 
  "tim_afterschool_orb_3_0.webp"
  pause 0.028
  "tim_afterschool_orb_3_1.webp"
  pause 0.028
  "tim_afterschool_orb_3_2.webp"
  pause 0.028
  "tim_afterschool_orb_3_3.webp"
  pause 0.028
  "tim_afterschool_orb_3_4.webp"
  pause 0.028
  "tim_afterschool_orb_3_5.webp"
  pause 0.028
  "tim_afterschool_orb_3_6.webp"
  pause 0.028
  "tim_afterschool_orb_3_7.webp"
  pause 0.028
  "tim_afterschool_orb_3_8.webp"
  pause 0.028
  "tim_afterschool_orb_3_9.webp"
  pause 0.028
  "tim_afterschool_orb_3_10.webp"
  pause 0.028
  Null()
  repeat
    
    
      
## Proper glowing and sparking; sparks, sparking

layeredimage tim afterschool:
  xalign 0.38
  yalign 0.24
  always:
    zoom 2
    pos (136, 31)
    "tim_afterschool_base.webp"
    
  group catch:
    attribute sparks:
      Null()
    
  # facial expression
  always:
    zoom 1.52
    pos (428 + 85, 292 + 123)
    "tim_afterschool_orb_eye_base.webp"

  # glowing animation
  always:
    zoom 1.52
    pos (228 - 19, 289 + 123)
    tim_afterschool_full_glowing
    
  # sparking animations (triggered by keyword sparking)
  group eyes1: # eye sparking animation 1
    attribute sparking:
      zoom 1.52
      pos (228 - 19,
      289 + 123)
      tim_afterschool_eyes_spark_1
    
  group eyes2: # eye sparking animation 2
    attribute sparking:
      zoom 1.52
      pos (228 - 19,
      289 + 123)
      tim_afterschool_eyes_spark_2
      
  group eyes3: # eye sparking animation 3
    attribute sparking:
      zoom 1.52
      pos (228 - 19,
      289 + 123)
      tim_afterschool_eyes_spark_3
      
  group eyes4: # eye sparking animation 4
    attribute sparking:
      zoom 1.52
      pos (228 - 19,
      289 + 123)
      tim_afterschool_eyes_spark_4
      
  group orb1: # orb sparking animation 1
    attribute sparking:
      zoom 1.52
      pos (228 - 19,
        289 + 123)
      tim_afterschool_orb_spark_1
      
  group orb2: # orb sparking animation 2
    attribute sparking:
      zoom 1.52
      pos (228 - 19,
        289 + 123)
      tim_afterschool_orb_spark_2
      
  group orb3: # orb sparking animation 3
    attribute sparking:
      zoom 1.52
      pos (228 - 19,
        289 + 123)
      tim_afterschool_orb_spark_3
    
  group mouth:
    attribute _talk default:
      Null()
    attribute talk:
      zoom 1.52
      pos (485 + 117,413 + 195)
      "tim_afterschool_evil_orb_eye_mouth.webp"

## Sparking animations
# END of Tim
