﻿# The script of the game goes in this file.

# Declare characters used by this game. The color argument colorizes the
# name of the character.

# convert to dictionary!!!
default issac_punched = False
default issac_name = "???"
default tim_name = "Cosplayer"

# define e = Character("Eileen")

### Note the extend character, info in special characters

define narrator = Character(None, what_color="#d1d1d1")

define eli = Character("Elijah", image="elijah")
define issac = Character("issac_name", image="issac", dynamic=True)
define liam = Character("Liam")
define tim = Character("tim_name", image="tim", dynamic=True)


define pen = Character("Ms. Penelope", image="penelope")
define rob = Character("Mr. Roberts", image="robert")
define tat = Character("Mr. Tatsuki", image="tatsuki")


init: ############################################## REMOVE, ">" fast skip, R_CTRL is regular skip
    $ config.keymap['toggle_skip'].append('Z')
    $ config.keymap['skip'].remove('K_LCTRL')
    $ config.keymap['toggle_skip'].remove('K_TAB')


############## LOOK AT:


image black = Solid("#000")

# The game starts here.

label start:
    #window auto hide

    ###
         # always use window auto hide, window auto show
    ###

    #"add epilepsy warning."
    jump act1


### School entrance is blurred

label act1:


  label .entrance:
    #window auto hide

    scene bg school entrance
    with fade

    stop music fadeout 0.25

    show tatsuki squinting
    with dissolve


    play sound [ "<silence 0.25>", "audio/twang.ogg"]

    play music ["<silence 5>" ,"audio/a1/street.ogg"] fadein 10 loop

    pause 1.5

    tat @ talk "Liam Mars,{w=0.5} is that you?"

    liam "Oh{cps=*0.2}...{/cps} Hey, Mr. Tatsuki."

    "Great."

    "I haven't even made it inside the school and I've already run into one of my least favorite teachers."

    "Well not that it matters.\nI've gotten pretty used to bad luck."

    show tatsuki frowning
    with dissolve

    tat @ talk "Now, you listen here young man.{w=0.25}You remember what happened last semester, don't you?"

    # $ print("hello world!!!!") # this can print out to teminal if renpy.sh is started in terminal

    liam "..."

    show tatsuki stern
    with dissolve
    with Pause(0.75)

    tat @ talk "I swear, young troublemaker, if I catch you giving anyone else a bloody nose this semester-"
    tat @ talk "That's going to be the end of you!"

    "Well... as much as I dislike him, I have to pretend to agree."

    "Any sane person wouldn't want to end up going to Ms. Penelope, the school principal."

    "Although I have countless times, I still can't quite get rid of the goosebumps she gives me."

    liam "Yes, Mr. Tatsuki."

    show tatsuki frowning
    with dissolve

    tat @ talk "Hmm{cps=*0.5}...{/cps}\nHere's a copy of your schedule."

    show tatsuki holding
    with dissolve

    tat @ talk "And don't you dare think of using it to hit Elijah's eyes again."
    tat @ talk "I didn't even know paper airplanes could do that much damage!"

    "I barely glance at my schedule before I walk away from Mr. Tatsuki and get inside the school building."


    ### Obvious foreshadowing after entrance

    scene black
    with fade

    play music ["<silence 1.0>", "audio/a1/wind.ogg"] fadeout 1.0 noloop

    liam "{i}I'll try not to, but something always seems to go wrong.{/i}"



### Mr roberts classroom
  label .morning:

    play music "audio/a1/classroom.ogg" fadein 10.0 fadeout 1.0
    scene bg classroom morning
    with dissolve

    "The summer break has just finished, which really sucks."
    "I hate being in this stupid school, with these stupid teachers,{w=0.5} and especially these stupid students."

    scene cg rose
    with fade

    "Ugh."
    "There's Rose Valite, your stereotypical \"popular girl\" with her dumb cheerleading squad."
    "She really doesn't know how or when to shut up{cps=*0.25}...{/cps} or maybe she does?"
    "I guess it doesn't matter because she prefers to be a pain in the butt anyways."
    "Everyone in the school pretends to like her.\nShe has a ton of mentally challenged followers."
    "Honestly? She's as brain-dead as you can get."

    scene cg elijah
    with dissolve

    "That would be Elijah, the walking talking cringe-fest."
    "Please.\nYou only need to mention his name to some girl before she starts swooning."
    "Ugh. Gives me the creeps."
    "I almost regret flying that paper airplane into his eye."
    "The girls really started to dig his \"pirate look\" after he had to use that stupid eyepatch-bandage thing."

    stop music
    issac "Get out."

    scene bg classroom morning rose_gone
    show issac classroom angry
    with Pause(0.5)

    play sound "audio/donk.ogg"
    liam "Huh..{w=0.25}?"

    show issac classroom pointing
    issac @ talk "I said get out!"

    play music "audio/a1/tense.ogg" fadeout 1.5 fadein 7.5

    "I've never met this guy before."
    "Who the hell does he think he is?"
    "It's all I can do to not punch this guy."
    "Come on Liam.\nHave a clean slate this semester, no more fights."
    "Breathe in{cps=*0.1}...{/cps} Breathe out{cps=*0.075}...{/cps}"

    liam "Look,{w=0.5} I'm not budging.{w=0.2} This seat is mine."

    show issac angry
    issac @ talk "Oh yeah?{w=0.2} Does your daddy own it?"
    issac @ talk "I bet you don't know who I am."
    issac @ talk "The name is Mr. Punch your face in and if you don't shut the hell up and-"

    $ issac_name = "Mr. Punch your face in"



    menu:
      "Punch him":
        jump act1.punched
      "Leave":
        jump act1.leave



### issac is punched ###
  label .punched:
    $ issac_punched = True

    stop music

    play sound "audio/a1/punch.ogg"

    scene white
    with None
    scene bg classroom morning looking standing
    show issac punched
    with Dissolve(0.25)
    with hpunch
    with Pause(1.5)

    issac "Aaahhhhh...!"

    show issac punched nosebleed
    with dissolve

    play music "audio/a1/wind.ogg" loop

    "I punched this guy harder than I thought I would."

    "Crap!\nSo much for trying not to get into trouble."

    show bg classroom morning robert behind issac with dissolve

    issac "YOU LITTLE PIECE OF-!!"

    show bg classroom morning looking _robert
    with dissolve
    show robert angry at left
    with easeinleft

    rob @ talk "What's the meaning of this!?"

    show issac punched pointing _nosebleed
    with dissolve
    issac "It's all his fault!"

    "*Sigh*. Old habits die hard."
    liam "He was clearly provoking me!"

    show robert pinching
    with dissolve
    rob @ talk "Right,{w=0.5} that's enough."
    rob @ talk "Both of you, to the office.\nYou're coming with me."

    show issac punched desperate
    with dissolve
    issac "But sir, it's all his fault!"

    "Wow. This dick really has permanent brain damage doesn't he?\nJust like..."
    "Wait... Where's Rose?\n At a time like this she'd be recording every second."
    "But right now, she's nowhere in sight.\nI'm glad though."

    show robert angry rolling
    with dissolve
    rob @ talk "That's enough!"

    show robert angry inital
    rob @ talk "*{i}One bully in the class was bad enough...{/i}*"


### Ms. Penelope's office
  label .office:
    stop music fadeout 1.0

    scene bg office
    with PushMove(0.75, mode="pushright")

    show penelope frowning at right
    with dissolve
    with Pause(0.5)

    show issac office # nervous
    show robert angry at left
    with easeinleft
    with Pause(0.5)

    pen @ talk "What is it this time?"
    rob @ talk "The usual, these two troublemakers got into a fight."

    show penelope sarcastic
    with dissolve

    pen @ talk "Well that's fantastic.\nI was just about to enjoy my morning cup of tea too."

    "Good god I hate this woman"

    show penelope frowning
    with dissolve

    pen @ talk "You're dismissed, Mr Robert."

    show robert angry glaring
    with Pause(1)
    hide robert
    with dissolve

    play music "audio/a1/nervous.ogg"

    "Man I'm so screwed.\nI wonder what my punishment will be this time."
    "She never gives me detention or anything like that."
    "Oh, no.\nShe seems hell-bent on torturing me."
    "Ever since she discovered that I have a mild case of germaphobia, she's been making sure that I do all sorts of disgusting things."
    "Like the time she made me clean up the boy's washrooms{cps=*0.5}...{/cps}\nUughh."

    show penelope scary center
    with dissolve

    pen @ talk "Well, well, well{cps=*0.5}...{/cps}\nWhat do we have here?"
    pen @ talk "Ah, it's dear Liam Mars with yet another strike against his name."

    show penelope left
    with dissolve

    pen @ talk "And you!\n{w=0.2}I remember you{cps=*0.5}...{/cps} Issac Law, isn't it?"

    $ issac_name = "Issac"

    show issac office right more # lookign right nosebleed gets bad
    with dissolve

    pen @ talk "Shame really,{w=0.25} you seemed very well behaved during the interview."
    pen @ talk "Had I known your true colors, I would have thrown your application into the shredder without a second thought."

    show penelope neutral
    with dissolve

    pen @ talk "Tsk, tsk, tsk{cps=*0.1}...{/cps}\nThere is no hope to be found here."

    show issac office right very # looking right nosebleed gets worse
    with dissolve

    issac "What's going to happen to us?"

    "As much as I didn't want anything to do with Issac, it's hard to ignore that his nose is bleeding."
    "Plus,{w=0.5} it could buy me some time."

    liam "Ummm..."

    show penelope center
    show issac office center # looking at liam
    with dissolve

    liam "I think Issac should go see the nurse."

    show penelope concerned
    with dissolve

    pen @ talk "Well yes... that much is obvious."

    show penelope glare
    with dissolve

    pen @ talk "But you're not leaving this room without punishment."
    liam "But ma'am, his nose."
    pen @ talk "I am aware of-"
    liam "It's getting really bad"

    show penelope neutral center
    with dissolve
    with Pause(1)

    pen @ talk "*{i}Sigh{/i}*"
    pen @ talk "After this disappointment gets to the nurse,{w=0.25} I expect both of you to take over the janitors morning duties."

    scene black
    with fade

    stop music fadeout 1.0

    "Dang it!!!"


### Mopping in hallway
  label .hallway:

    scene bg hallway
    show issac mopping furious
    with Dissolve(3)
    with Pause(1)

    # play music "audio/a1/annoyed.ogg" fadein 20

    play music "audio/a1/hallway.ogg" fadein 10

    issac @ talk "Way to go loser!"
    issac @ talk "Look at where you've gotten us."
    liam "What!?{w=0.2} I don't even know you!"
    liam "You just walked up to me and started acting like an absolute idiot!"

    show issac mopping weapon
    with dissolve

    issac @ talk "Idiot!?"
    issac @ talk "I clearly have more brain cells than you, so I didn't punch you back."
    issac @ talk "But it's different when nobody else is around."

    "This guy {b}can't{/b} be serious."

    issac @ talk "Bring it!!!"
    "{cps=*0.1}..?{/cps}"
    liam "Are you sure that you're not the one lacking brain cells?"

    "I shake my head and get back to mopping."
    "I think my best shot is to pretend that he doesn't exist."
    "I've had enough drama this morning."
    #window hide

    show issac mopping casual
    with Dissolve(1.5)
    with Pause(2)

    stop music fadeout 2

    issac @ talk "You know what?"
    issac @ talk "I hope we never cross paths ever again."
    liam "You know what?"
    liam "I think that's the first and only sensible thing you've ever said, man."

    show issac mopping slightly # slightly miffed
    with dissolve

    play music "audio/a1/dull.ogg" fadein 10

    issac @ talk "How about we make a deal?"
    liam "A deal?"
    issac @ talk "Yeah, that's what I just said, stupid.\n A deal."
    issac @ talk "How about when we get over mopping these floors, we never acknowledge each other's existence ever again?"
    liam "Well, I already planned on doing that already, but this is making it easier."

    show issac mopping annoyed
    with dissolve

    issac @ talk "No. I don't think you get it."
    issac @ talk "I like,{w=0.5} really, really, REALLY, extra hate you,{w=0.5} you know?"
    issac @ talk "So I just really need to make sure that we never communicate ever again."
    liam "Gee, what a lovely sentiment{cps=*0.2}...{/cps} I'm flattered."

    show issac mopping miffed
    with dissolve

    issac @ talk "And{cps=*0.5}...{/cps} what's your name?{w=0.2}\nLiam, right?"
    issac @ talk "Yeah well,{w=0.25} if we ever do talk to each other, whoever starts the conversation gets a slap to the face.{w=0.2}\nAlright?"
    liam "Seems kinds childish{cps=*0.5}...{/cps} but it's a deal man, whatever."

    stop music fadeout 1.0

    scene black
    with fade
    with Pause(1)

    jump .afterschool



### Issac is not punched, liam leaves ###
  label .leave:
    $ issac_punched = False

    # play music "audio/a1/broken.ogg" fadein 5.0

    liam "I AM SO TIRED OF THIS CRAP!"

    show issac classroom confused

    show bg classroom morning rose_gone standing behind issac with dissolve
    "I stood up so forcefully the chair flipped over."
    show general haze behind issac with dissolve
    "Then I walked away.{w=0.2}\nAway from that idiot dick and out of the classroom."


    scene bg hallway
    with PushMove(0.75, mode="pushright")
    with Pause(0.5)

    "For shit's sake!!!"
    "I've only spent 5 minutes in this shit hole school and I've already been given a reason to break open someone's face!"
    "I need to go outside.\nI really need to out of here right now!"


### schoolyard with tim
  label .schoolyard:

    play music "audio/a1/sensitive.ogg" fadeout 3.0 fadein 10.0

    scene bg schoolyard
    with Dissolve(3)
    with Pause(2)

    "I spent a lot of time sitting here last semester."
    "I guess that this has become my happy place,{w=0.5} my territory."
    "And ever since I showed Rocky what happens when some idiot tries to take my spot{cps=*0.5}...{/cps}"
    "Nobody has."
    "Not that I enjoy teaching people these lessons."
    "Oww{cps=*0.1}...{/cps}"
    "I think I have a headache."
    "Must be from all that unnecessary drama this morning."
    "I need to close my eyes for a moment, just to think."

    scene black
    with ComposeTransition(wipedown, before=wipeup) # closing eyes effect

    "How am I supposed to get a clean record when it's already so hard?"
    "I don't want to upset my parents again but..."
    "Honestly, how do you do it?"
    "When you're surrounded by all these{cps=*0.5}...{/cps} idiots?"
    "{cps=*0.15}...{/cps}"
    "I will have to stay far away from that guy, whoever he was, by all means."
    "Then I'll have to figure out how to survive the rest of the school-"

    stop music

    "Wait... what's that sound?"

    scene bg schoolyard rose
    with ComposeTransition(Dissolve(2), before=wipeup) # implement opening eyes effect

    "Is that Rose?{w=0.5} and Jenny?"
    "And{cps=*0.5}...{/cps} what's up with that dude?"
    "I've never seen him around before..."

    # play music "audio/a1/broken.ogg" fadein 1.0

    show bg schoolyard arguing
    with dissolve

    "Well, it's best that I get out of here."
    "The mere sight of them ruins this spot for me."

    play music "audio/a1/wind.ogg" fadeout 1.0 noloop

    show bg schoolyard splash
    with Dissolve(0.5)

    "What the..."
    "What just happened?"
    "I guess that girl's always been kinda crazy but{cps=*0.15}...{/cps} sheesh."
    "I better go."


### classtime lesson
  label .classtime:
    #window auto hide
    play music "<silence 2>"

    queue music "audio/a1/classtime.ogg"

    scene bg classroom classtime
    with fade
    show robert neutral # finger raised, center
    with dissolve

    rob @ talk "Alright, so,{w=0.25} class{cps=*0.5}...{/cps} Tell me,{w=0.25} why is the study of history so important?"

    "..."
    "Silence"
    "We're not exactly the brightest lot in the school."

    show bg classroom classtime raised behind robert
    with Dissolve(0.5)

    eli "That's easy, Mr. Robert."

    show robert right
    with dissolve
    show elijah classtime explaining _talk at right
    with easeinright

    eli @ talk "Studying history is important because we learn from the past to have a better present."
    eli @ talk "We also learn about how things have come to be, which helps us make better sense of the world."
    eli @ talk "It's like having memories."
    eli @ talk "We rely on the information we have learned from before to help us make decisions in the future."

    show robert unimpressed drooped
    with dissolve

    "..."
    "Except for Elijah, that detestable human."
    "*Sigh*"
    "He's not even that smart."

    rob @ talk "Eh..."

    show elijah classtime neutral _talk
    with dissolve

    eli @ talk "Wait just a second.\nLet me put on my glasses."

    hide elijah
    with easeoutright
    show bg classroom classtime lowered
    with Dissolve(0.5)

    rob @ talk "You{cps=*0.5}...{/cps}{w=0.25} don't need glasses..."

    show elijah classtime neutral glasses _talk at right
    with easeinright

    eli @ talk "Yeah, but they're my thinking glasses."
    eli @ talk "They just make me feel smarter,{w=0.25} you know?"

    show robert weirded drooped
    with Dissolve(0.5)

    rob @ talk "Where did you even get those?"
    eli @ talk "It was part of a costume."
    eli @ talk "Okay, now lemme think for a minute..."

    hide elijah
    with easeoutright

    rob @ talk "Oookkaaayyy..."

    show robert center
    with Dissolve(0.5)

    rob @ talk "Let's try someone else."

    show robert neutral left raised
    with Dissolve(0.5)

    rob @ talk "Hey, you.{w=0.25} New kid{cps=*0.5}...{/cps} Isaac Law,{w=0.2} right?"

    $ issac_name = "Issac"

    rob @ talk "Why do you think history is important?"

    show issac classtime  at left
    with easeinleft

    issac @ talk "It's not important."

    show robert annoyed drooped
    with Dissolve(0.2)

    rob @ talk "What was that, Issac?"

    show bg classroom classtime raised

    eli @ talk "Oh, Mr. Robert."

    show elijah classtime explaining glasses at right with easeinright
    show robert annoyed right with Dissolve(0.5)

    eli @ talk "What Issac meant to say was that history can give us a better understanding of our cultures of origin as well as cultures with which we are less familiar with."
    hide issac
    with Dissolve(0.4)
    eli @ talk "This increases our cross-cultural awareness and insight."

    "well..."
    "..."
    "That kid is straight up freaky sometimes.\nThat answer sounded eight times smarter than his original one."
    "Ehh... it's probably the glasses."

    show robert annoyed twitching
    with Dissolve(0.5)

    rob @ talk "Wow{cps=*0.5}...{/cps} um, thank you.{w=0.25} Thanks."

    hide elijah
    with easeoutright

    show bg classroom classtime lowered
    with Dissolve(0.5)

    rob @ talk "*{i}cough{/i}*"

    show robert annoyed _twitching center raised
    with Dissolve(0.5)

    rob @ talk "So umm, anyways{cps=*0.5}...{/cps} our first topic for this class is the French Revolution."

    "I think I'd prefer sleeping over listening to this."
    "And that's exactly what I'll do."

    stop music fadeout 1.0

    scene black
    with ComposeTransition(wipedown, before=wipeup) # closing eyes effect

    jump .afterschool




### Convergence point
  label .afterschool:

    scene bg afterschool
    with fade

    play music "audio/a1/lazy.ogg" fadein 10

    if issac_punched:
      "Well today was awful."
      "What a way to start the school year!"
      "I've even slept through most of my classes."
      "Way to go, me!"
      "Though I got to admit, that was mostly because I was tired from mopping the hallways."
      "Or maybe the classes were just boring."
      "Plus I didn't really get that much sleep last night."
      "..."
      "Stupid Issac."
      "I wish I'd just left instead before my anger took over."
      "Well... on the bright side, at least Rose wasn't there."
      "I'd only seen her in the morning, then Bam!"
      "She never reappeared."
    else:
      "I guess today wasn't that bad."
      "I was actually able to control myself and avoid any fights."
      "And I showed up to most of my classes..."
      "Though I did sleep through most of them."
      "So yeah.\nDefinitely have to work on that issue."
      "But, I mean, that's not really my fault now is it?"
      "If only those lessons weren't so goddamn boring all the time."
      "And plus, it's not like anyone was actually noticing my absence from-"
      "Hey, wait.\nI also haven't seen Rose since this morning."
      "huh." # deliberately lowercase

    "Oh well.\nI'm sure her absence is only temporary."
    "She'll be back as annoying as ever tomorrow."
    "But I'll take it."
    "This is probably as good as it gets."

    stop music fadeout 1.0

    scene bg afterschool tim
    with dissolve

    "{cps=*0.15}..?{/cps}"

    if issac_punched:
      "Wait... who is he?"
      "And what's up with that ridiculous costume?"
    else:
      "Who's that?"
      "Hey, I think I saw him around school today."
      "Yeah, I definitely did."

    play music "audio/a1/wind.ogg"

    "..."
    "Geez, what a weirdo!"
    "Cosplayers are so dumb, honestly."
    "This guy looks like he needs therapy."

    scene bg afterschool
    show tim afterschool direct
    with None

    stop music

    "Huh?"

    show tim afterschool annoyed
    with Dissolve(0.5)

    tim @ talk "You're extremely rude."
    liam "I don't know what you're talking about..."

    "I didn't say anything!"

    tim @ talk "So you think I need therapy kid?"

    "What..?{w=0.2} Wait{cps=*0.25}...{/cps} no.{w=0.15} way."
    "There's no way he can read my-"

    tim @ talk "Thoughts? Hell yeah I can."

    "What's going on!?"

    tim @ talk "Careful what you think of,{w=0.5} you fool."

    "Hey, if anything, {b}he's{/b} the rude one!"
    "This must be a coincidence.\nHe can't {i}actually{/i} read my thoughts."
    "Hmmm... what if I say some more stuff."
    "You are a moron, numbskull, brain-dead, dimwit, imbecile, airhead, stinking little-"

    show tim red talk
    with None # Dissolve(0.5)

    play sound "audio/a1/punch.ogg"
    tim "ENOUGH!" with hpunch

    show tim _talk
    with Dissolve(0.5)

    show tim close
    with Dissolve(0.5)
    play music "audio/a1/tenseSynth.ogg" fadein 10


    "Hey, was I wrong?"
    "Did he actually \"hear\" all that!?"

    show tim closer
    with Dissolve(0.5)

    tim @ talk "You suck at insulting people by the way."

    "..."

    $ tim_name = "Cosplayer?"

    tim @ talk "Two can play at this game."
    tim @ talk "I know your darkest fears,{w=0.65} Liam."
    tim @ talk "Best not to trigger me."
    tim @ talk "But if you're so keen about insults, I must say..."

    show tim glowing
    with Pause(1)

    tim @ talk "...that the only culture you possess..."

    show tim smirk
    with Dissolve(1.5)

    tim @ talk "...is bacteria."

    "I'm supposed to be landing hits on this guy, running away, finding a weapon...\nsomething, {b}ANYTHING!{/b}"

    liam "Who are you!?\n{b}What{/b} are you!?"

    show tim evily
    with Dissolve(0.5)

    show bg afterschool trippy behind tim
    with None

    $ tim_name = "???"

    tim @ talk "Who am I?"

    show tim sparks
    with None

    # show bg_afterschool_trippy behind tim with None

    tim @ talk "Take a guess dimwit!"

    show tim sparking

    # add outdoors acting weirdly

    liam "AHHHHHH!"

    # add forest scene

    stop music fadeout 1

    play sound "audio/a1/trippy.ogg"

    #$ renpy.music.play("audio/a1/trippy.ogg", channel='music', loop=False, fadeout=3, tight=True)

    # queue music "audio/a1/water.ogg" loop


    scene bg afterschool trippy
    with dissolve
    with Pause(3)


    scene bg forrest
    with Dissolve(5)
    with vpunch
    with hpunch

    play music ["<silence 3>", "audio/a1/stream.ogg"]
    queue music "audio/a1/stream.ogg" loop

    pause

    "???"

    window auto hide
    pause

    scene black
    with Dissolve(5)
    with Pause(1)

    return
